package whatsapp

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp/list whatsapp GetWhatsappList
//
// Get whatsapp list | 获取Whatsapp列表
//
// Get whatsapp list | 获取Whatsapp列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WhatsappListReq
//
// Responses:
//  200: WhatsappListResp

func GetWhatsappListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WhatsappListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp.NewGetWhatsappListLogic(r.Context(), svcCtx)
		resp, err := l.GetWhatsappList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
